## rhmessaging 0.16

=== rhel4-support/Makefile ===
# Copyright (c) 2007, 2008 Red Hat, Inc.
#
# This file is part of the Qpid async store library msgstore.so.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301
# USA
#
# The GNU Lesser General Public License is available in the file COPYING.

.PHONY: default apply

default:
	@echo "Run 'make apply' to patch the source for RHEL4"

apply: rhel4.patch
	patch -d .. -p0 < rhel4.patch

## rhmessaging 0.12

=== debian/changelog ===
rhmessaging (0.12-1) unstable; urgency=low

  * Initial release. (Closes: #646085)

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 06 May 2011 11:59:58 +0200

=== debian/control ===
Source: rhmessaging
Section: misc
Priority: extra
Maintainer: Cajus Pollmeier <cajus@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, autoconf (>= 2.61), automake (>= 1.9.6), libtool (>= 1.5.22), libqpidtypes1-dev (>= 0.12), libqpidcommon2-dev (>= 0.12), libqmf2-dev (>=0.12), libqpidbroker2-dev (>=0.12), libaio-dev, libdb++-dev, python (>= 2.6.6-3~), libboost-all-dev (>= 1.35), uuid-dev, valgrind [any-i386 any-amd64 arm], python-qpid, python-qmf, python-qpid-extras-qmf, qpidd
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://qpidcomponents.org

Package: qpidd-msgstore
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, qpidd (>= 0.12)
Provides: ${python:Provides}
Description: enterprise messaging system - AMQP broker persistence module
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the persistence component for the AMQP broker.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QPID_PREFIX=/usr

UPSTREAM = http://anonsvn.jboss.org/repos/rhmessaging/store/tags
PACKAGE := $(shell dpkg-parsechangelog | sed -ne 's/^Source: \(.*\)$$/\1/p')
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz

.PHONY: get-orig-source
get-orig-source:
	rm -rf get-orig-source $(TARBALL)
	mkdir -p get-orig-source/tmp
	svn export $(UPSTREAM)/qpid-$(SRC_VERSION)-release/cpp get-orig-source/$(PACKAGE)-$(SRC_VERSION)
	GZIP='--best --no-name' tar czf $(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION)
	rm -rf get-orig-source
	echo "  "$(TARBALL)" created; move it to the right destination to build the package"

override_dh_auto_test:
	# Skip until qpidd --quit does not segfault

override_dh_auto_configure:
	./bootstrap
	dh_auto_configure -- --with-qpid-prefix=/usr --with-sysconfigdir=/etc/qpid

override_dh_install:
	dh_install
	rm debian/qpidd-msgstore/usr/lib/qpid/daemon/msgstore.la

%:
	dh  $@ --with python2

## rhmessaging 0.14

=== debian/changelog ===
rhmessaging (0.14-2) unstable; urgency=low

  * Applied a couple of compile fixes to make things work
    with GCC 4.7 series. (Closes: #667357)

 -- Cajus Pollmeier <cajus@debian.org>  Sat, 07 Apr 2012 11:19:14 +0200

rhmessaging (0.14-1) unstable; urgency=low

  * New upstream release.

 -- Cajus Pollmeier <cajus@debian.org>  Wed, 01 Feb 2012 15:55:20 +0100

## rhmessaging 0.16

=== debian/changelog ===
rhmessaging (0.16-1ubuntu3) trusty; urgency=low

  * Bump 5.1 detection patches to 5.3.
  * Patch -Werror=sizeof-pointer-memaccess.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 04 Nov 2013 06:55:05 +0000

rhmessaging (0.16-1ubuntu2) raring; urgency=low

  * Added missing libs to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 18 Apr 2013 00:49:51 -0400

rhmessaging (0.16-1ubuntu1) quantal; urgency=low

  * Fix build failure on ARM.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Oct 2012 15:33:30 +0200

rhmessaging (0.16-1) unstable; urgency=low

  * New upstream release.
  * Build against 0.16 Qpid release. Closes: #674331.
  * Re-enabled most of the tests (federation is disabled for now).
  * Build for all instead of linux-all.

 -- Cajus Pollmeier <cajus@debian.org>  Sat, 19 May 2012 11:19:10 +0200

=== debian/control ===
Source: rhmessaging
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Cajus Pollmeier <cajus@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7.0.50~), autotools-dev, autoconf (>= 2.61), automake (>= 1.9.6), libtool (>= 1.5.22), libqpidtypes1-dev (>= 0.16-6), libqpidcommon2-dev (>= 0.16-6), libqmf2-dev (>=0.16-6), libqpidbroker2-dev (>=0.16-6), libaio-dev, libdb++-dev, python (>= 2.6.6-3~), libboost-all-dev (>= 1.35), uuid-dev, valgrind [any-i386 any-amd64 arm], python-qpid, python-qmf, python-qpid-extras-qmf, qpidd (>= 0.16-6), qpid-tools, procps
X-Python-Version: >= 2.6
Standards-Version: 3.9.3
Homepage: http://qpidcomponents.org

Package: qpidd-msgstore
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, qpidd (>= 0.16-6)
Provides: ${python:Provides}
Description: enterprise messaging system - AMQP broker persistence module
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the persistence component for the AMQP broker.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,11 @@
 SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
 TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+CXXFLAGS += -Wno-error=cast-qual -Wno-error=cast-align
+export CXXFLAGS
+
 .PHONY: get-orig-source
 get-orig-source:
 	rm -rf get-orig-source $(TARBALL)
@@ -18,9 +23,6 @@
 	GZIP='--best --no-name' tar czf $(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION)
 	rm -rf get-orig-source
 	echo "  "$(TARBALL)" created; move it to the right destination to build the package"
-
-override_dh_auto_test:
-	# Skip until qpidd --quit does not segfault
 
 override_dh_auto_configure:
 	./bootstrap
